<bugID>561152<Summary>Startup issue: Selectively be able to invoke session restore</Summary><Description>(Note: this is filed as a meta bug as part of the &#8220;Paper Cut&#8221; bugs since we assume that there are multiple existing bugs related to this behavior. Please make them block this bug.)

People like the ability to selectively invoke session restore. From Reddit thread: &#8220;I generally don&#8217;t want it, but sometimes it would be very useful, especially when restarting for updates&#8221;

Recommendation:
With the new design, we could put &#8220;Restart&#8221; and &#8220;Restart &amp; Save Session&#8221; in the &#8220;Exit&#8221; combomenu.

The other option would be to offer this whenever *we* ask to restart the browser, ie. &#8220;Save Session &amp; Restart&#8221; being the default button text and behavior. I can't see why we'd need a button that didn't do a session restore on these forced restarts, though.</Description></bugID>